curl "https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY"
fetch("https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY")
.then(response => response.json())
.then(data => console.log(data));
import requests
url = "https://proweblook.com/api/v1/checkwanumber"
params = {
"number": "+14155552671",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
print(response.json())
$params = http_build_query([
'number' => '+14155552671',
'api_key' => 'YOUR_API_KEY'
]);
$response = file_get_contents("https://proweblook.com/api/v1/checkwanumber?$params");
print_r(json_decode($response, true));
{
"balance": 1003,
"status": true,
"numberstatus": true,
"businessnumber": false
}
{
"balance": 1002,
"status": true,
"numberstatus": false,
"businessnumber": false
}
{
"status": false,
"error": "Invalid API key "
}
{
"status": false,
"error": "WA validation provider is temporarily unavailable. Please retry."
}
API Reference
WA Validation (Legacy)
Legacy endpoint to check if a phone number exists on WhatsApp.
GET
/
api
/
v1
/
checkwanumber
curl "https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY"
fetch("https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY")
.then(response => response.json())
.then(data => console.log(data));
import requests
url = "https://proweblook.com/api/v1/checkwanumber"
params = {
"number": "+14155552671",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
print(response.json())
$params = http_build_query([
'number' => '+14155552671',
'api_key' => 'YOUR_API_KEY'
]);
$response = file_get_contents("https://proweblook.com/api/v1/checkwanumber?$params");
print_r(json_decode($response, true));
{
"balance": 1003,
"status": true,
"numberstatus": true,
"businessnumber": false
}
{
"balance": 1002,
"status": true,
"numberstatus": false,
"businessnumber": false
}
{
"status": false,
"error": "Invalid API key "
}
{
"status": false,
"error": "WA validation provider is temporarily unavailable. Please retry."
}
This is our legacy WhatsApp check endpoint. It still works perfectly, but you may also want to use the newer WA Validation endpoint which provides more detailed carrier and location data.
Use this legacy endpoint for single-number checks only. For CSV or bulk validation, use WA Batch Validation.
Overview
Use this endpoint to quickly check whether a provided phone number has an active WhatsApp account and if it is a WhatsApp Business account.Query Parameters
string
required
The phone number to check, including the country code (e.g.,
919876543210 or %2B14155552671).If you are building the URL manually, encode the leading
+ as %2B. Using a normal query-parameter builder is recommended.string
required
Your ProWebLook API key.
Response
boolean
true if the request was processed successfully.boolean
true if the phone number has an active WhatsApp account. false is returned only for a definitive provider result.boolean
true if the WhatsApp account is a WhatsApp Business account.integer
Your remaining balance of WhatsApp check credits.
curl "https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY"
fetch("https://proweblook.com/api/v1/checkwanumber?number=%2B14155552671&api_key=YOUR_API_KEY")
.then(response => response.json())
.then(data => console.log(data));
import requests
url = "https://proweblook.com/api/v1/checkwanumber"
params = {
"number": "+14155552671",
"api_key": "YOUR_API_KEY"
}
response = requests.get(url, params=params)
print(response.json())
$params = http_build_query([
'number' => '+14155552671',
'api_key' => 'YOUR_API_KEY'
]);
$response = file_get_contents("https://proweblook.com/api/v1/checkwanumber?$params");
print_r(json_decode($response, true));
{
"balance": 1003,
"status": true,
"numberstatus": true,
"businessnumber": false
}
{
"balance": 1002,
"status": true,
"numberstatus": false,
"businessnumber": false
}
{
"status": false,
"error": "Invalid API key "
}
{
"status": false,
"error": "WA validation provider is temporarily unavailable. Please retry."
}
